﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.SilverlightEdition;
using System.Drawing;
using ZedGraph;
using System.Globalization;

namespace CSharp_Samples.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                // Native Server 1
                VirtualEarthLayer veRoadLayer = new VirtualEarthLayer("141151", "46g@Pr5cUv5", "218.6.242.108");
                veRoadLayer.MapType = VirtualEarthMapType.Road;

                ServerLayerOverlay veRoadOverlay = new ServerLayerOverlay("NativeServerWithVERoadMap");
                veRoadOverlay.ServerCache.CacheDirectory = @"c:\imageCache";
                veRoadOverlay.Layers.Add(veRoadLayer);

                SilverlightMapConnector1.ServerLayerOverlays.Add(veRoadOverlay);
            }
        }
    }
}
